> For the complete documentation index, see [llms.txt](https://docs.klai.studio/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.klai.studio/v1/reference/messaging-ver-0.10.14+/get-active-channels.md).

# Get active channels

The API endpoint `/message/channels` will return all current active channels.

A channel is considered active if there is at least one client connected to it.

## API: Return active channels

<mark style="color:green;">`POST`</mark> `https://yourdomain.com/message/channels`

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| content-type | string | application/json |
| accept       | string | application/json |

#### Request Body

| Name   | Type   | Description                 |
| ------ | ------ | --------------------------- |
| apiKey | string | the API key for your BF app |

{% tabs %}
{% tab title="201 Returns an object with two keys authenticated and anonymous. Each will have an array of current active channels." %}

```
{
    "authenticated": [
        "authenticated",
        "USER_ID_PRIVATE_CHANNEL",
        "channelOne",
        "channelTwo"
    ],
    "anonymous": [
        "anonymous",
        "testRoom1",
        "testRoom2"
    ]
}
```

{% endtab %}
{% endtabs %}
